"""Add env_id to base model

Revision ID: 5b7f90e7bfdb
Revises: 23dd1cc88eb2
Create Date: 2021-04-09 14:32:59.611645

"""
import snapflow
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "5b7f90e7bfdb"
down_revision = "23dd1cc88eb2"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "_snapflow_alias", sa.Column("env_id", sa.String(length=64), nullable=True)
    )
    op.add_column(
        "_snapflow_data_block_log",
        sa.Column("env_id", sa.String(length=64), nullable=True),
    )
    op.add_column(
        "_snapflow_data_block_metadata",
        sa.Column("env_id", sa.String(length=64), nullable=True),
    )
    op.add_column(
        "_snapflow_generated_schema",
        sa.Column("env_id", sa.String(length=64), nullable=True),
    )
    op.add_column(
        "_snapflow_graph_metadata",
        sa.Column("env_id", sa.String(length=64), nullable=True),
    )
    op.add_column(
        "_snapflow_node_state", sa.Column("env_id", sa.String(length=64), nullable=True)
    )
    op.add_column(
        "_snapflow_snap_log", sa.Column("env_id", sa.String(length=64), nullable=True)
    )
    op.add_column(
        "_snapflow_stored_data_block_metadata",
        sa.Column("env_id", sa.String(length=64), nullable=True),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("_snapflow_stored_data_block_metadata", "env_id")
    op.drop_column("_snapflow_snap_log", "env_id")
    op.drop_column("_snapflow_node_state", "env_id")
    op.drop_column("_snapflow_graph_metadata", "env_id")
    op.drop_column("_snapflow_generated_schema", "env_id")
    op.drop_column("_snapflow_data_block_metadata", "env_id")
    op.drop_column("_snapflow_data_block_log", "env_id")
    op.drop_column("_snapflow_alias", "env_id")
    # ### end Alembic commands ###
